> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update integration

> Update integration



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json patch /integration/{integrationId}
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /integration/{integrationId}:
    patch:
      tags:
        - Integration
      summary: Update integration
      description: Update integration
      parameters:
        - schema:
            type: string
          in: path
          name: integrationId
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                flowId:
                  type: string
                  nullable: true
                funnelId:
                  type: string
                  nullable: true
                agentId:
                  type: string
                  nullable: true
              additionalProperties: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    pattern: ^[cC][^\s-]{8,}$
                  name:
                    type: string
                  channel:
                    type: string
                    enum:
                      - WHATSAPP
                      - WEB_CHAT
                      - TELEGRAM
                      - INSTAGRAM
                      - LITE_WHATSAPP
                      - JURIDIQ
                  config: {}
                  flowId:
                    type: string
                    nullable: true
                  funnelId:
                    type: string
                    nullable: true
                  agentId:
                    type: string
                    nullable: true
                  inboxId:
                    type: string
                    pattern: ^[cC][^\s-]{8,}$
                  officeId:
                    type: string
                    pattern: ^[cC][^\s-]{8,}$
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - channel
                  - flowId
                  - funnelId
                  - agentId
                  - inboxId
                  - officeId
                  - createdAt
                  - updatedAt
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  details: {}
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````